Bug 364761 - Kickstart Traceback
Kickstart Traceback
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 17:38 EDT by Jonathan Steffan
Modified: 2008-05-27 15:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 15:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-11-02 17:38:10 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 1088, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 1069, in main
    target.install()
  File "/usr/bin/livecd-creator", line 873, in install
    self.configureNetwork()
  File "/usr/bin/livecd-creator", line 616, in configureNetwork
    if network.ipv6:
AttributeError: FC6_NetworkData instance has no attribute 'ipv6'


Version-Release number of selected component (if applicable):
livecd-tools-009-1.fc7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a kickstart with network --bootproto=dhcp --device=eth0 --onboot=on
2. Make a spin.
  
Actual results:
Above traceback

Expected results:
Image builds


Additional info:
Comment 1 Jeremy Katz 2007-11-05 10:30:49 EST
What version of pykickstart do you have installed?
Comment 4 Jonathan Steffan 2007-11-08 13:12:17 EST
pykickstart-1.13-2.fc7.noarch
Comment 5 Bug Zapper 2008-05-14 10:58:07 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jeremy Katz 2008-05-27 15:19:50 EDT
I think this was due to an API change in a pykickstart update that got pushed to
FC7.  In any case, newer releases are fine..

Note You need to log in before you can comment on or make changes to this bug.